# Chapter 6. Preliminary (初步的) Analysis

A complete performance report is long, only few worth notice.

## Ground Rules

1. Performance report should be based either on live data or on a walk-forward test.
2. Should be multiple years of data (5 ~ 10 years), with a multiple trades (30 ~ 100 trades)
3. Review performance reports without position sizing applied (only view single trade strategy)
4. Accurate assumptions for commission and slippage.

## Numbers to look in performance report

1. **Total Net Profit**: e.g. with a walk-forward backtest, annual net profit should be $5,000 per year per contract minimum, preferably $10,000 or more.
2. **Profit Factor**: gross profit divided by the gross loss (including commissions) for the entire trading period.
   1. Anything over 1.0 is good
3. **Total Number of Trades**: ensure enough trades are taken. (120 ~ 400 in reports)
4. **Average trade net profit**: it's after commissions and slippage.
5. **Average Losing Trade**: combined with average trade net profit to calculate expectancy
6. **Expectancy (期待)**
   1. Normal expectancy = $ average winners * win % + $ average losers * lose % = average trade; average $ loser is -ve
   2. **Tharp Expectance (promoted by author)**  = (average $ winners * win% + average $ losers * lose %)/(- average $ losers);
      1. It's risk-adjusted. i.e. every $ you risk, what's your expected return?
7. **Total slippage and total commissions**
   1. Total slippage (spread) is more critical. (as we buy at ask, sell at bid)
8. **Maximum Drawdown**: how much an investment or trading account is down from the peak before it recovers back to the peak.

## Graph to look after performance report

1. **Closed trade equity graph**: An equity curve is a graphical representation of the change in the value of a trading account over a time period
   1. 1st thing in equity curve: slope. 
   2. 2nd thing in equity curve: flat periods. A good strategy should steadily grow.
   3. 3rd thing in equity curve: drawdown periods. No drawdown? Problem hidden.