# Chapter 10. Trading Idea

Following topics to cover:

* Entry rules
* Exit rules
* Market selection
* Time frame/bar size
* Programming
* Data considerations

## How will you Enter a Market?

Entry Lovers = people ignore the drawdowns during the trade and say "Look what would happened if you had bought Microsoft way back when."

Mis-conception: 
* The time before entry is really the only time you feel in complete control. You tell the market, “Mr. Market, you must do this, that, and the other before I place a trade to enter. If you do not follow my rules, Mr. Market, I will not enter a trade. I am in charge here.” That feels nice, as opposed to the time spent in a trade, where many times you hope and pray the market roller coaster will go your way!

Entry & trading style:

* Long-term swing trader (trades lasting weeks to months), an entry a few days early or a few days late won't affect
* Scalping (抽头转卖) trader: entry becomes important. An entry off by a tick or two could turn a winning system into a piece of garbage.

After getting ideas, first turn it into *pseudo code*: "If close this bar is the highest close of last X bars, then by next bar at market."

* pseudo code can help to identify any important variables.

Few tips:

* *Keep it simple*
* *Limit number of input parameters*. More parameters means more chance of over-fitting
* *Try to think differently*. Moving average crossovers hav been over used.
* *Use a single rule at first*. Slowly add new conditions if they significantly improve performance. Many entry conditions may turn out useless.

## How will you Exit a Market?

Most important, to get maximum profit or minimum loss. Need spend a lot of time

Common ways of exiting a market;

* **Stop and Reverse**: A new entry position means exit for existing one.
* **Technical-based exits**: Support/resistance lines, moving averages, candlestick patterns, etc. Need coop with existing positions
* **Breakeven (保本) stops**: Often seem to limit profit, since they typically exit on a retracement (回撤), with market then resuming its earlier trend
* **Stop-losses**: when coupled with good entries, can help prevent catastrophe.
* **Profit targets**
* **Trailing stops**

## What Markets Will You Trade?

Two schools of trading system:

* One for all: Applying one trading system over all market, tuning parameters for each market.
  * Pro: If it works on all markets, it is robust.
  * Con: Development is difficult. Need to relax their acceptance criteria
* One for a particular market
  * Pro: Highly customization. Easier to create. 
  * Con: Not robust.

## What Type of System Do You Want?

Author's preference, start a trading strategy as a day-trading. (i.e. in/out, multiple trades a day).

## What Time Frame/Bar Size Will You Trade?

Time Frame = length of time for each bar.

* **Time frame contraction (收缩) and dilation (扩散)** used by many trader: 
  * First, Test a strategy with a 10-min time frame
  * If succeed, testing on 9-min bar
  * Problem: add/minus 1 min will lead to change of indicator

## How will you Program the Strategy?

Program it by yourself.